Page 1 of 2 12 LastLast
Results 1 to 10 of 11
  1. #1
    Join Date
    Oct 2022
    Location
    Jackson, TN
    Posts
    5
    Plugin Contributions
    0

    Default New Install but get System Setup Required

    I just loaded v1.5.1 and once I finally got thru all of the install entries I was so excited and then I got this page on both options (store and admin) This is a new install, not an upgrade or reinstall, Please help:

    Zen CartŪ
    Hello. Thank you for loading Zen CartŪ.
    You are seeing this page for one or more reasons:
    This is your first time using Zen CartŪ and you haven't yet completed the normal Installation procedure.
    If this is the case for you, you will need to upload the "zc_install" folder using your FTP program, and then run zc_install/index.php via your browser (or reload this page to see a link to it).

    Your /includes/configure.php and/or /admin/includes/configure.php file contains invalid path information and/or invalid database-connection information.
    If you recently edited your configure.php files for any reason, or maybe moved your site to a different folder or different server, then you'll need to review and update all your settings to the correct values for your server.
    Additionally, if the permissions have been changed on your configure.php files, then maybe they're too low for the files to be read.
    Or the configure.php files could be missing altogether.
    Or your hosting company has recently changed the server's PHP configuration (or upgraded its version) then they may have broken things as well.
    See the Online FAQ and Tutorials area on the Zen CartŪ website for assistance.
    Additional *IMPORTANT* Details: includes/configure.php file contents invalid. ie: DIR_FS_CATALOG not valid or not set

    To begin installation ...
    The Installation Documentation can be read by clicking here: Documentation
    You will need to upload the "zc_install" folder using your FTP program, and then run zc_install/index.php via your browser (or reload this page to see a link to it).
    The Online FAQ and Tutorials area on the Zen CartŪ website will also be of value if you run into difficulties.

  2. #2
    Join Date
    Feb 2006
    Location
    Tampa Bay, Florida
    Posts
    8,957
    Plugin Contributions
    309

    Default Re: New Install but get System Setup Required

    1.5.1 is really old. Please download the latest release (1.5.8) and start there.

    https://docs.zen-cart.com/user/first.../get_zen_cart/
    That Software Guy. My Store: Zen Cart Modifications
    Available for hire - See my ad in Services
    Plugin Moderator, Documentation Curator, Chief Cook and Bottle-Washer.
    Do you benefit from Zen Cart? Then please support the project.

  3. #3
    Join Date
    Oct 2022
    Location
    Jackson, TN
    Posts
    5
    Plugin Contributions
    0

    Default Re: New Install but get System Setup Required

    The newest would not install at all, that's why I went to an older version. Any other ideas? I know that the older versions work because other people on this server use ZenCart. This is the server info:
    Platform Type Windows Server 2016 Standard
    MySQL Version 5.6.32
    Perl Version 5.8.8
    PHP Version PHP 5

    MySQL:
    Web server
    Apache
    PHP version: 7.0.33-0ubuntu0.16.04.14

    Thank you for any help.

  4. #4
    Join Date
    Feb 2006
    Location
    Tampa Bay, Florida
    Posts
    8,957
    Plugin Contributions
    309

    Default Re: New Install but get System Setup Required

    PHP 5 is *really* old. You need to get better more up to date hosting.
    That Software Guy. My Store: Zen Cart Modifications
    Available for hire - See my ad in Services
    Plugin Moderator, Documentation Curator, Chief Cook and Bottle-Washer.
    Do you benefit from Zen Cart? Then please support the project.

  5. #5
    Join Date
    Jan 2004
    Location
    N of San Antonio TX
    Posts
    8,680
    Plugin Contributions
    9

    Default Re: New Install but get System Setup Required

    Quote Originally Posted by SBYetto View Post
    The newest would not install at all, that's why I went to an older version. Any other ideas? I know that the older versions work because other people on this server use ZenCart. This is the server info:
    Platform Type Windows Server 2016 Standard
    MySQL Version 5.6.32
    Perl Version 5.8.8
    PHP Version PHP 5

    MySQL:
    Web server
    Apache
    PHP version: 7.0.33-0ubuntu0.16.04.14

    Thank you for any help.
    That's your real problem
    PM sent

  6. #6
    Join Date
    Oct 2022
    Location
    Jackson, TN
    Posts
    5
    Plugin Contributions
    0

    Default Re: New Install but get System Setup Required

    So what do I do now?

  7. #7
    Join Date
    Feb 2006
    Location
    Tampa Bay, Florida
    Posts
    8,957
    Plugin Contributions
    309

    Default Re: New Install but get System Setup Required

    You have to get up to date hosting. See the Services page:

    https://www.zen-cart.com/content.php/3-services
    That Software Guy. My Store: Zen Cart Modifications
    Available for hire - See my ad in Services
    Plugin Moderator, Documentation Curator, Chief Cook and Bottle-Washer.
    Do you benefit from Zen Cart? Then please support the project.

  8. #8
    Join Date
    Jul 2012
    Posts
    16,482
    Plugin Contributions
    17

    Default Re: New Install but get System Setup Required

    Did you try one of the versions that are expected to work in a php 7.0.x environment? I mean there has been a lot of discussion and picking at various portions of the server configure post, but one piece of info also posted was that something in the system is using php 7.0.33.

    May I suggest at least trying zen Cart 1.5.7d preliminarily.

    Even though you are operating on a windows system, at least might get through the install and can stay to play around.
    ZC Installation/Maintenance Support <- Site
    Contribution for contributions welcome...

  9. #9
    Join Date
    Oct 2022
    Location
    Jackson, TN
    Posts
    5
    Plugin Contributions
    0

    Default Re: New Install but get System Setup Required

    Thank you, Do I need to delete this version first or update?

  10. #10
    Join Date
    Oct 2022
    Location
    Jackson, TN
    Posts
    5
    Plugin Contributions
    0

    Default Re: New Install but get System Setup Required

    Quote Originally Posted by SBYetto View Post
    Thank you, Do I need to delete this version first or update?
    I just looked and that was the first one I tried and it wouldn't install.

 

 
Page 1 of 2 12 LastLast

Similar Threads

  1. System Setup Required...4 years after setup
    By advancing in forum General Questions
    Replies: 6
    Last Post: 12 Mar 2015, 06:07 PM
  2. 'System Setup Required' after install error
    By EggDesign in forum Installing on a Linux/Unix Server
    Replies: 1
    Last Post: 7 Sep 2010, 11:07 AM
  3. Finished install steps, "System Setup Required" still showing
    By z3n in forum Installing on a Linux/Unix Server
    Replies: 1
    Last Post: 1 Jun 2008, 07:25 PM
  4. New install repeats 'Welcome' after 'System Setup'
    By WebtrixAU in forum Installing on a Linux/Unix Server
    Replies: 0
    Last Post: 15 Jul 2007, 11:34 AM
  5. Can't get past "system setup" on install
    By WhotEva in forum Installing on a Linux/Unix Server
    Replies: 1
    Last Post: 15 Nov 2006, 09:27 AM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
disjunctive-egg
Zen-Cart, Internet Selling Services, Klamath Falls, OR